﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace PhotoLibraryApp
{
	public partial class PhotoForm : Form
	{
		public PhotoForm()
		{
			InitializeComponent();
			this.lblDescription.Text = string.Empty;
		}

		private void lnkSave_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Debugger.Break();

			int photoId = int.Parse(this.txtSavePhotoId.Text);
			string desc = this.txtDescription.Text;
			string filename = this.txtFilename.Text;

			PhotoData.InsertPhoto(photoId, desc, filename);
		}

		private void lnkLoad_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
		{
			System.Diagnostics.Debugger.Break();

			int photoId = int.Parse(this.txtLoadPhotoId.Text);

			string desc;
			Image photo = PhotoData.SelectPhoto(photoId, out desc);

			this.lblDescription.Text = desc;
			this.picImage.Image = photo;
		}
	}
}
