﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="BingMapsSpatialApp.Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title></title>
</head>
<body>
  <form id="form1" runat="server">
  <asp:ScriptManager ID="ScriptManager1" runat="server">
    <Services>
      <asp:ServiceReference Path="CustomerGeoService.svc" />
    </Services>
    <Scripts>
      <asp:ScriptReference
        Path="http://dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.3" />
    </Scripts>
  </asp:ScriptManager>
  <div>
    <div id='divBingMap' style="position: relative; width: 640px; height: 400px;" />
  </div>
  <input id="btnGetCustomers" type="button" value="Get Customers"
    onclick="btnGetCustomers_Click()" />
  <script type="text/javascript">

    var _map = null;

    function pageLoad() {
      _map = new VEMap('divBingMap');
      _map.LoadMap();
    }

    function btnGetCustomers_Click() {
      BingMapsSpatialApp.CustomerGeoService.GetCustomers
       (OnDataRetrievalComplete);
    }

    function OnDataRetrievalComplete(results) {
      for (i = 0; i < results.length; i++) {
        var point = new VELatLong(results[i].Latitude, results[i].Longitude);
        var pin = new VEShape(VEShapeType.Pushpin, point);
        pin.SetTitle(results[i].Company);
        pin.SetDescription(results[i].Name);
        _map.AddShape(pin);
      }
    }
  </script>
  </form>
</body>
</html>
