﻿using System;
using System.Data.Linq;

namespace FlixPoll.LocalData
{
    public class FlixPollDataContext : DataContext
    {
        // Pass the connection string to the base class.
        public FlixPollDataContext(string connectionString)
            : base(connectionString)
        { }

        public Table<MovieTable> Movies;
        public Table<InquiryTable> Inquiries;
        public Table<ResponseTable> Responses;
    }
}
