﻿USE SampleDb
GO

DELETE FROM OrderHeader
DELETE FROM CustomerEmployee
DELETE FROM Customer

SET IDENTITY_INSERT Customer ON
INSERT INTO Customer (CustomerId, FirstName, LastName, Balance) VALUES
 (1, 'Lukas', 'Keller', 35),
 (2, 'Andy', 'Jacobs', 10),
 (3, 'Mike', 'Ray', 40),
 (4, 'Josh', 'Barnhill', 5)
SET IDENTITY_INSERT Customer OFF

SET IDENTITY_INSERT OrderHeader ON
INSERT INTO OrderHeader (OrderHeaderId, CustomerId, ShipVia, OrderStatus) VALUES
 (1, 1, 'Regular Mail', 'Shipped'),
 (2, 1, 'Express Mail', 'Pending'),
 (3, 2, 'Priority Mail', 'Shipped'),
 (4, 3, 'Priority Mail', 'Shipped'),
 (5, 3, 'Regular Mail', 'Cancelled'),
 (6, 3, 'Priority Mail', 'Shipped'),
 (7, 3, 'Express Mail', 'Pending'),
 (8, 4, 'Regular Mail', 'Shipped'),
 (9, 4, 'Express Mail', 'Shipped')
SET IDENTITY_INSERT OrderHeader OFF
